# eric7.Preferences.ConfigurationPages.WebBrowserPage

Module implementing the Web Browser configuration page.

### Global Attributes

None

### Classes

WebBrowserPage | Class implementing the Web Browser configuration page.

### Functions

create | Module function to create the configuration page.

## WebBrowserPage

Class implementing the Web Browser configuration page.

### Derived from

ConfigurationPageBase, Ui_WebBrowserPage

### Class Attributes

None

### Class Methods

None

### Methods

WebBrowserPage | Constructor
on_defaultHomeButton_clicked | Private slot to set the default home page.
on_refererWhitelistButton_clicked | Private slot to edit the referer whitelist.
on_setCurrentPageButton_clicked | Private slot to set the current page as the home page.
on_setSpeedDialPageButton_clicked | Private slot documentation goes here.
on_startupCombo_currentIndexChanged | Private slot to enable elements depending on the selected startup entry.
save | Public slot to save the Help Viewers configuration.

### Static Methods

None

#### WebBrowserPage (Constructor)

WebBrowserPage(configDialog)

Constructor

configDialog
  reference to the configuration dialog (ConfigurationDialog)

#### WebBrowserPage.on_defaultHomeButton_clicked

on_defaultHomeButton_clicked()

Private slot to set the default home page.

#### WebBrowserPage.on_refererWhitelistButton_clicked

on_refererWhitelistButton_clicked()

Private slot to edit the referer whitelist.

#### WebBrowserPage.on_setCurrentPageButton_clicked

on_setCurrentPageButton_clicked()

Private slot to set the current page as the home page.

#### WebBrowserPage.on_setSpeedDialPageButton_clicked

on_setSpeedDialPageButton_clicked()

Private slot documentation goes here.

#### WebBrowserPage.on_startupCombo_currentIndexChanged

on_startupCombo_currentIndexChanged(index)

Private slot to enable elements depending on the selected startup entry.

index
  index of the selected entry (integer)

#### WebBrowserPage.save

save()

Public slot to save the Help Viewers configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up